CTLSTAT(8)

NAME
ctlstat - CAM Target Layer statistics utility

SYNOPSIS
ctlstat [-t] [-c count] [-C] [-d] [-D] [-j] [-l lun] [-n numdevs] [-w wait]

DESCRIPTION
The ctlstat utility provides statistics information for the CAM Target Layer. The first display (except for dump and JSON modes) shows average statistics since system startup. Subsequent displays show average statistics during the measurement interval.

The options are as follows:

-t  Total mode. This displays separate columns with the total CTL read and write output, and a combined total column that also includes non I/O operations.

-c count
    Display statistics this many times.

-C  Disable display of CPU statistics.

-d  Display DMA operation time (latency) instead of overall I/O time (latency).

-D  Text dump mode. Dump all available statistics every 30 seconds in a text format suitable for parsing. No statistics are computed in this mode, only raw numbers are displayed.

-h  Suppress display of the header.

-j  JSON dump mode. Dump all available statistics every 30 seconds in JavaScript Object Notation (JSON) format. No statistics are computed in this mode, only raw numbers are displayed.

-l lun
    Request statistics for the specified LUN. This option is incompatible with total (-t) mode.

-n numdevs
    Display statistics for this many devices.

-w wait
    Wait this many seconds in between displays. If this option is not specified, ctlstat defaults to a 1 second interval.

EXAMPLES
    ctlstat -t

Display total statistics for the system with a one second interval.

    ctlstat -d -l 5 -C

Display average DMA time for LUN 5 and omit CPU utilization.

    ctlstat -n 7 -w 10

Display statistics for the first 7 LUNs, and display average statistics every 10 seconds.

SEE ALSO
cam(3), cam(4), ctl(4), xpt(4), camcontrol(8), ctladm(8), iostat(8)

AUTHORS
Ken Merry <ken@FreeBSD.org> Will Andrews <will@FreeBSD.org>